import { Layout, Txt, makeScene2D } from "@motion-canvas/2d";
import { Direction, beginSlide, slideTransition } from "@motion-canvas/core";
import { theme } from "../theme";

export default makeScene2D(function* (view) {
  yield view.add(
    <Layout layout direction="column" alignItems="center">
      <Txt fontFamily={theme.font} fontSize={100} fill={theme.text.hex}>
        Part One
      </Txt>
      <Txt fontFamily={theme.font} fill={theme.text.hex}>
        Flirting With Functions
      </Txt>
    </Layout>,
  );

  yield* slideTransition(Direction.Right);
  yield* beginSlide("Part One");
});
